Class | RSS::Maker::ItemsBase
In: | rss/maker/trackback.rb rss/maker/image.rb rss/maker/dublincore.rb rss/maker/content.rb rss/maker/base.rb
Parent: | Object

### Methods

current_element new new_item normalize

### Included Modules

Base

### Classes and Modules

Class RSS::Maker::ItemsBase::ItemBase

### Attributes

do_sort | [RW] |
max_size | [RW] |

### Public Class methods

new(maker)

[Source]

    # File rss/maker/base.rb, line 400
          def initialize(maker)
            super
            @do_sort = false
            @max_size = -1
          end

### Public Instance methods

current_element(rss)

[Source]

    # File rss/maker/base.rb, line 414
          def current_element(rss)
            rss.items
          end

new_item()

[Source]

    # File rss/maker/base.rb, line 418
          def new_item
            item = self.class::Item.new(@maker)
            @items << item
            item
          end

normalize()

[Source]

    # File rss/maker/base.rb, line 406
          def normalize
            if @max_size >= 0
              sort_if_need[0...@max_size]
            else
              sort_if_need[0..@max_size]
            end
          end

[Validate]